<?php
require_once("APISEAL.php");
$objAPI = new API_Gusber();

$metodo=$_POST['op'];
//$metodo=$_GET['op'];
//$metodo=1;

//Orden de los metodos //
// 1.. - Operacioes scanner
// 2.. - operaciones de consulta

if($metodo==0){ //Verificación de acceso al servicio
    echo "OK";
}

if($metodo==1){ //registro de scanner
    $iduser=$_POST['i'];
    $jobnumber=$_POST['j'];
    $primarynumber=$_POST['p'];
    $itemnumber=$_POST['t'];
    $address=$_POST['a'];
    $date=$_POST['d'];
    $userremarks=$_POST['u'];
    $location=$_POST['l'];
    $idcliente=$_POST['ic'];
    $replacepn=$_POST['r'];

    $scanimage="";
    $foto1="";
    $foto2="";
    $foto3="";

    $destino = "../storage/images/scanner/";
    
    //imagen principal
    $ubicacion=$_FILES['scanimage']['tmp_name'];
    $archivo = $destino . basename($_FILES['scanimage']['name']);
    if(move_uploaded_file($ubicacion, $archivo)){
        $scanimage = $archivo;
    }

    //imagen foto1
    $nombre=$_FILES['foto1']['name'];
    if($nombre != ''){
        $ubicacion=$_FILES['foto1']['tmp_name'];
        $archivo = $destino . basename($_FILES['foto1']['name']);
        if(move_uploaded_file($ubicacion, $archivo)){
            $foto1 = $archivo;
        }
    }

    //imagen foto2
    $nombre=$_FILES['foto2']['name'];
    if($nombre != ''){
        $ubicacion=$_FILES['foto2']['tmp_name'];
        $archivo = $destino . basename($_FILES['foto2']['name']);
        if(move_uploaded_file($ubicacion, $archivo)){
            $foto2 = $archivo;
        }
    }

    //imagen foto3
    $nombre=$_FILES['foto3']['name'];
    if($nombre != ''){
        $ubicacion=$_FILES['foto3']['tmp_name'];
        $archivo = $destino . basename($_FILES['foto3']['name']);
        if(move_uploaded_file($ubicacion, $archivo)){
            $foto3 = $archivo;
        }
    }

    $data = $objAPI->setInfoScan(
                        $iduser,
                        $idcliente,
                        $jobnumber,
                        $primarynumber,
                        $replacepn,
                        $itemnumber,
                        $address,
                        $date,
                        $userremarks,
                        $scanimage,
                        $foto1,
                        $foto2,
                        $foto3,
                        $location);

    echo $data;
}

if($metodo==2){ //Verificacion del sello
    $iduser=$_POST['i'];
    $idcliente=$_POST['ic'];
    $jobnumber=$_POST['j'];
    $primarynumber=$_POST['p'];
    $address=$_POST['a'];
    $date=$_POST['d'];
    $userremarks=$_POST['u'];
    $location=$_POST['l'];

/*
    $iduser=$_GET['i'];
    $idcliente=$_GET['ic'];
    $jobnumber=$_GET['j'];
    $primarynumber=$_GET['p'];
    $address=$_GET['a'];
    $date=$_GET['d'];
    $userremarks=$_GET['u'];
    $location=$_GET['l'];
*/
    $data = array();
    $data = $objAPI->getInfoSeal(
                        $iduser,
                        $idcliente,
                        $jobnumber,
                        $primarynumber,
                        $address,
                        $date,
                        $userremarks,
                        $location);

    echo json_encode($data);
    //echo $data;
}

if($metodo==3){ //Registro de Novedad
    $iduser=$_POST['i'];
    $idcliente=$_POST['ic'];
    $jobnumber=$_POST['j'];
    $jobnumberSite=$_POST['js'];
    $primarynumber=$_POST['p'];
    $address=$_POST['a'];
    $date=$_POST['d'];
    $userremarks=$_POST['u'];
    $location=$_POST['l'];
    $tipo=$_POST['w'];

    $captureSello="";
    $captureScreen="";

    $destino = "../storage/images/scanner/";
    
    if($tipo == "CLOSE"){
        $data = $objAPI->setRevisionCantSellos(
                            $iduser,
                            $idcliente,
                            $jobnumber,
                            $primarynumber,
                            $address,
                            $date,
                            $userremarks,
                            $location,
                            $jobnumberSite,
                            $captureSello,
                            $captureScreen,
                            $tipo);
    }
    else{
        //imagen principal
        $ubicacion=$_FILES['fotoSello']['tmp_name'];
        $archivo = $destino . basename($_FILES['fotoSello']['name']);
        if(move_uploaded_file($ubicacion, $archivo)){
            $captureSello = $archivo;
        }
    
        $ubicacion=$_FILES['fotoNovedad']['tmp_name'];
        $archivo = $destino . basename($_FILES['fotoNovedad']['name']);
        if(move_uploaded_file($ubicacion, $archivo)){
            $captureScreen = $archivo;
        }
        
        $data = $objAPI->setIssues(
                            $iduser,
                            $idcliente,
                            $jobnumber,
                            $primarynumber,
                            $address,
                            $date,
                            $userremarks,
                            $location,
                            $jobnumberSite,
                            $captureSello,
                            $captureScreen,
                            $tipo);
    }

    //echo json_encode($data);
    echo $data;
}

?>